#ifndef DFPBROWSEFILEDELEGATE_H
#define DFPBROWSEFILEDELEGATE_H

#include <QItemDelegate>

class DfpBrowseFileDelegate : public QItemDelegate
{
    Q_OBJECT
public:
    DfpBrowseFileDelegate(QObject *parent = nullptr);
    QWidget *createEditor(QWidget *parent,
                          const QStyleOptionViewItem &option,
                          const QModelIndex &index) const override;
    void setEditorData(QWidget *editor,
                       const QModelIndex &index) const override;
    void setModelData(QWidget *editor,
                      QAbstractItemModel *model,
                      const QModelIndex &index) const override;
    void updateEditorGeometry(QWidget *editor,
                              const QStyleOptionViewItem &option,
                              const QModelIndex &index) const override;

    // void paint(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const;
private slots:
    void browseFile();
};

#endif // DFPBROWSEFILEDELEGATE_H
