#ifndef DFPTABLEVIEW_H
#define DFPTABLEVIEW_H

#include "mvc/DeviceStatusTableViewFancy.h"

class DfpFlashModel;
class QItemDelegate;

class DfpTableView : public DeviceStatusTableViewFancy
{
    Q_OBJECT
public:
    explicit DfpTableView(QWidget *parent = nullptr);
    DfpFlashModel *getDfpModel() { return dfpModel; }

private slots:
    void onModelReset();
    void addDelegates();

private:

    DfpFlashModel * const dfpModel;
    QItemDelegate * const browseDelegate;
    QItemDelegate * const progressDelegate;
};

#endif // DFPTABLEVIEW_H
