#ifndef MSCBASEDELEGATE_H
#define MSCBASEDELEGATE_H

#include <QItemDelegate>

class MscBaseDelegate : public QItemDelegate
{
Q_OBJECT
public:
    MscBaseDelegate(QObject *parent = nullptr);
    void updateEditorGeometry(QWidget *editor,
                              const QStyleOptionViewItem &option,
                              const QModelIndex &index) const;

protected slots:
    void dataChanged();
private slots:
    void flushCommitData();

private:
    QTimer * const commitDataTimer;
    QObject * commitDataWidget = nullptr;
};

#endif // MSCBASEDELEGATE_H
