#include "RunControlApp.h"

#include <QCommandLineParser>

RunControlApp::RunControlApp(int &_argc, char *_argv[])
    : DaqGuiApp(_argc, _argv)
    , noDevOption("noDev", "Use as run manager, all work with device will be ignored")
{}

void RunControlApp::setupOptions()
{
    DaqGuiApp::setupOptions();

    options << noDevOption;
}

void RunControlApp::processParseResults(QCommandLineParser &parser)
{
    DaqGuiApp::processParseResults(parser);

    so.noDevMode = parser.isSet(noDevOption);
}
