#include "BaseDeviceAppConfig.h"

QList<DeviceIndex> BaseDeviceAppConfig::deviceKeys() const
{
    return knownConfigs.keys();
}

DeviceIndexSet BaseDeviceAppConfig::deviceIndexSet(bool onlyEnabled) const
{
    DeviceIndexSet dis;
    for(auto i = knownConfigs.begin(); i != knownConfigs.end(); ++i) {
        if(!onlyEnabled || i->enabled)
            dis << i.key();
    }
    return dis;
}
